body {
    font-family: 'Roboto';
    color: #fff;
}

h1 {
    font-weight: 500;
}

p,a {
    font-weight: 400;
}

.main {
    height: 100vh;
    padding: 114px 0 0 142px;
    background-image: url(../images/background_desktop.png);
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;

    @media screen and (max-width: 995px) {
        background-image: url('../images/background_tablet.png');
        padding: 48px 0 0 32px;
    }

    @media screen and (max-width: 540px) {
        background-image: url('../images/background_mobile.png');
        padding: 48px 32px 0 32px;
    }

    &__logo {
        margin-bottom: 64px;
        width: 90%;

        @media screen and (max-width: 995px) {
            margin-bottom: 24px;
            width: 95%;
        }
        
        @media screen and (max-width: 540px) {
            margin-bottom: 32px;
            width: 95%;
        }
    }

    &__container {
        @media screen and (max-width: 995px) {
            height: calc(100vh - 20px);
            overflow: auto;
        }
    }

    &__inner {
        position: relative;
        z-index: 1;
        color: white;
        width: 60%;
        overflow: auto;
        height: 100%;

        @media screen and (max-width: 540px) {
            width: 95%;
            display: flex;
            flex-direction: column;
        }

        &-title {
            font-size: clamp(24px,2vw,32px);
            margin-bottom: 24px;

            @media screen and (max-width: 995px) {
                margin-bottom: 12px;
            }

            @media screen and (max-width: 541px) {
                text-align: center;
            }
        }

        &-descr {
            font-size: 20px;
            color: white;
            margin-bottom: 64px;
            font-size: clamp(14px, 1.5vw, 20px);

            @media screen and (max-width: 995px) {
                margin-bottom: 24px;
            }

            @media screen and (max-width: 541px) {
                margin-bottom: 32px;
            }
        }

        &-form {
            display: flex;
            flex-wrap: wrap;
            max-width: 596px;
            justify-content: space-between;
            gap: 12px 0;

            @media screen and (max-width: 540px) {
                display: flex;
                flex-direction: column;
                align-items: center;
                max-width: 476px;
                margin-bottom: 20px;
            }
    
            &-input {
                width: 49%;
                font-size: 18px;
                padding: 12px 14px;

                @media screen and (max-width: 540px) {
                    width: 100%;
                }
            }
    
            &-textarea {
                width: 100%;
                padding: 31px 13px;
                font-size: 20px;
                resize: none;

                @media screen and (max-width: 1280px) {
                    width: 79%;
                }

                @media screen and (max-width: 540px) {
                    width: 100%;
                }
            }
    
            &-button {
                padding: 13px 24px;
                color: #FFFFFF;
                background: transparent;
                border: none;
                border: 2px solid #fff;
                gap: 12px;

                @media screen and (max-width: 1280px) {
                    width: 19%;
                }

                @media screen and (max-width: 540px) {
                    width: 184px;
                    margin-top: 12px;
                }
            }
            &-button:hover, .selected {
                color: #131510;
                background-color: #4FB5C0;
                border: 2px solid #6AECF8;
            }
        }
        &-form::placeholder {
            color: #000000;
            font-size: clamp(14px, 3vw, 20px);
        }
    }

    &__products {
        margin-bottom: 64px;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: 12px;

        @media screen and (max-width: 995px) {
            margin-bottom: 24px;
        }

        @media screen and (max-width: 540px) {
            margin-bottom: 32px;
            justify-content: center;
        }

        &-item {
            padding: 15px 24px;
            border: 2px solid white;

            @media screen and (max-width: 995px) {
                font-size: 16px;
            }
        }
        &-item:hover, .selected {
            color: #131510;
            background-color: #4FB5C0;
            border: 2px solid #6AECF8;
        }
    }

    &__preview {
        position: absolute;
        right: 53px;
        bottom: 0;

        @media screen and (max-width: 540px) {
            position: fixed;
            display: block;
            margin: 0 auto;
        }
    }
}